import 'package:flutter/material.dart';

class CuteContainer extends StatefulWidget {
  const CuteContainer({
    Key? key,
    this.width,
    this.height = 120,
    this.color1,
    this.color2,
    this.title = 'Title',
    this.textColor,
    this.subTitle = 'SubTitle',
    this.subTitleColor,
    this.titleStyle,
    this.subTitleStyle,
    this.padding,
    this.onTap,
  }) : super(key: key);
  final double? width;
  final double? height;
  final Color? color1;
  final Color? color2;
  final String? title;
  final Color? textColor;
  final String? subTitle;
  final Color? subTitleColor;
  final TextStyle? titleStyle;
  final TextStyle? subTitleStyle;
  final EdgeInsetsGeometry? padding;
  final void Function()? onTap;

  @override
  State<CuteContainer> createState() => _CuteContainerState();
}

class _CuteContainerState extends State<CuteContainer> {
  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: widget.onTap ?? () {},
      child: Container(
        width: widget.width ?? MediaQuery.of(context).size.width * 0.9,
        height: widget.height,
        decoration: BoxDecoration(
          borderRadius: BorderRadius.all(
              Radius.circular(MediaQuery.of(context).size.width * 0.05)),
          gradient: LinearGradient(
            colors: [
              widget.color1 ?? Colors.yellow,
              widget.color2 ?? Colors.red,
            ],
            begin: Alignment.centerLeft,
            end: Alignment.centerRight,
          ),
          boxShadow: const [
            BoxShadow(
              color: Colors.grey,
              blurRadius: 12.0,
              offset: Offset(0, 6),
            )
          ],
        ),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Padding(
              padding: EdgeInsets.all(MediaQuery.of(context).size.width * 0.05),
              child: Text(
                '${widget.title}',
                style: widget.titleStyle ??
                    const TextStyle(
                        fontSize: 20,
                        fontWeight: FontWeight.bold,
                        color: Colors.black),
              ),
            ),
            Padding(
              padding: EdgeInsets.all(MediaQuery.of(context).size.width * 0.05),
              child: Text(
                '${widget.subTitle}',
                style: widget.subTitleStyle ??
                    const TextStyle(
                      fontSize: 15,
                      fontWeight: FontWeight.bold,
                      color: Colors.black45,
                    ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
